
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品拓展信息
 *
 * @author tmerclub
 */
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_product", table = "spu_extension", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class SpuExtensionBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品扩展信息表id
     */
    private Long spuExtendId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 评论数量
     */
    private Integer commentNum;

    /**
     * 销量
     */
    private Integer saleNum;

    /**
     * 注水销量
     */
    private Integer waterSoldNum;

    public Integer getWaterSoldNum() {
        return waterSoldNum;
    }

    public void setWaterSoldNum(Integer waterSoldNum) {
        this.waterSoldNum = waterSoldNum;
    }

    public Long getSpuExtendId() {
        return spuExtendId;
    }

    public void setSpuExtendId(Long spuExtendId) {
        this.spuExtendId = spuExtendId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(Integer commentNum) {
        this.commentNum = commentNum;
    }

    public Integer getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Integer saleNum) {
        this.saleNum = saleNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "SpuExtensionBO{" +
                "spuExtendId=" + spuExtendId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", spuId=" + spuId +
                ", commentNum=" + commentNum +
                ", saleNum=" + saleNum +
                ", waterSoldNum=" + waterSoldNum +
                '}';
    }
}
